GET https://api.d-tools.com/SI/Subscribe/Projects?clients[0]={clients[0]}&clients[1]={clients[1]}&progresses[0]={progresses[0]}&progresses[1]={progresses[1]}&includeImported={includeImported}&includeArchived={includeArchived}&searchText={searchText}&includeDeleted={includeDeleted}&pageNumber={pageNumber}&pageSize={pageSize}&projectNumber={projectNumber}
Get projects and change orders published by a SI user.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| clients |
Clients to filter projects (Optional) |
Collection of string |
None. |
| progresses |
Progresses to filter projects (Optional) |
Collection of string |
None. |
| includeImported |
Boolean. Include already imported projects. Optional with default value false which means by default you will only see projects which are not imported. |
boolean |
Default value is False |
| includeArchived |
Boolean. Include archived projects. Optional with default value false which means by default you will only see projects which are not archived. |
boolean |
Default value is False |
| searchText |
The search text. |
string |
None. |
| includeDeleted |
Boolean. Include project deleted in SI. Optional with default value false which means by default you will only see active projects which are not deleted. |
boolean |
Default value is False |
| pageNumber |
The page number. |
integer |
Default value is 1 |
| pageSize |
The page size. |
integer |
Default value is 50 |
| projectNumber |
The project number. |
string |
None. |
Body Parameters
None.
Response Information
Resource Description
ProjectsResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Projects |
Projects array |
Collection of ProjectInfo |
None. |
| TotalCount |
Total count of projects |
integer |
None. |
Response Formats
application/json, text/json
{
"Projects": [
{
"Id": "sample string 1",
"IntegrationProjectId": "sample string 2",
"MessageId": "sample string 3",
"ClientId": "sample string 4",
"Client": "sample string 5",
"ClientNumber": "sample string 6",
"Name": "sample string 7",
"Number": "sample string 8",
"Progress": "sample string 9",
"Approved": true,
"CONumber": "sample string 11",
"CurrencyCode": "sample string 12",
"Price": 13.0,
"ImportedOn": "2026-06-18T01:33:09.5482679+00:00",
"PublishedOn": "2026-06-18T01:33:09.5482679+00:00",
"Deleted": true,
"Archived": true
},
{
"Id": "sample string 1",
"IntegrationProjectId": "sample string 2",
"MessageId": "sample string 3",
"ClientId": "sample string 4",
"Client": "sample string 5",
"ClientNumber": "sample string 6",
"Name": "sample string 7",
"Number": "sample string 8",
"Progress": "sample string 9",
"Approved": true,
"CONumber": "sample string 11",
"CurrencyCode": "sample string 12",
"Price": 13.0,
"ImportedOn": "2026-06-18T01:33:09.5482679+00:00",
"PublishedOn": "2026-06-18T01:33:09.5482679+00:00",
"Deleted": true,
"Archived": true
}
],
"TotalCount": 1
}